#
# spec file for package python-jsonpatch
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-jsonpatch
Version:        1.11
Release:        4.5
Summary:        Python - JSON-Patches
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/stefankoegl/python-json-patch
Source:         http://pypi.python.org/packages/source/j/jsonpatch/jsonpatch-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-jsonpointer
Requires:       python-jsonpointer >= 1.9
Requires(post):   update-alternatives
Requires(postun): update-alternatives
Requires(pre):    coreutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Python module to apply JSON-Patches (according to RFC 6902).

%prep
%setup -q -n jsonpatch-%{version}
sed -i "s|entry_poimts|entry_points|" setup.py # Typo fix already in upstream git..

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
for i in patch diff; do
    mv %{buildroot}%{_bindir}/json$i %{buildroot}%{_bindir}/json$i-%{py_ver}
    ln -s %{_bindir}/json$i-%{py_ver} %{buildroot}%{_bindir}/json$i
done

%pre
[ -h %{_bindir}/jsonpatch ] || rm -f %{_bindir}/jsonpatch
[ -h %{_bindir}/jsondiff ] || rm -f %{_bindir}/jsondiff

%post
update-alternatives --install \
    %{_bindir}/jsonpatch jsonpatch %{_bindir}/jsonpatch-%{py_ver} 20 \
    --slave %{_bindir}/jsondiff jsondiff %{_bindir}/jsondiff-%{py_ver}

%preun
if [ $1 -eq 0 ] ; then
    update-alternatives --remove jsonpatch %{_bindir}/jsonpatch-%{py_ver}
fi

%files
%defattr(-,root,root,-)
%ghost %{_bindir}/jsonpatch
%{_bindir}/jsonpatch-%{py_ver}
%ghost %{_bindir}/jsondiff
%{_bindir}/jsondiff-%{py_ver}
%{python_sitelib}/jsonpatch*

%changelog
* Mon Jun 22 2015 tbechtold@suse.com
- update to 1.11.0:
  * bump version to 1.11
  * Fix tests for Python 3.2
  * bump version to 1.10
  * Require pypandoc instead of pandoc for setup.py
  * Fix make_patch with unicode paths
  * Enable container-based builds on Travis-CI
- Update Requires according to requirements.txt
* Wed Feb  4 2015 tbechtold@suse.com
- update to version 1.9:
  * bump version to 1.9
  * require jsonpointer>=1.5
  * Use ABCs instead of list/dict, fixes #33
  * Convert readme from markdown to rst for PyPI
  * Added Python 3.4 and PyPy3 to the build matrix.
  * bump version to 1.8
  * Fix installation of commandline scripts (fixes #31)
  * raise JsonPatchException on missing patch attributes
  * Add wheel as dev dependency for wheel packages
- Requires(pre) coreutils to be able to use "rm" cmd
* Sat Nov  8 2014 Led <ledest@gmail.com>
- fix bashisms in pre script
* Mon Sep 15 2014 tbechtold@suse.com
- update to version 1.7:
  * bump version to 1.7
  * [Setup] use utf-8 explicitly in setup.py
  * bump version to 1.6
  * Fix make_patch() when root is an array (fixes #28)
  * Merge branch 'remove-error' of https://github.com/umago/python-json-patch
  * Improve error message when removing non-existent objects
  * bump version to 1.5
  * fix test for Python 3
  * fix make_patch where obj keys contain "/", fixes #26
- Update Requires for python-jsonpointer
* Fri Nov 15 2013 speilicke@suse.com
- Don't ghost /etc/alternatives/..., post-build-checks on 12.2 fail
* Thu Nov 14 2013 speilicke@suse.com
- Fix update-alternatives (SLE_11_SP3)
* Mon Oct 21 2013 dmueller@suse.com
- update to 1.3:
  * Improved Tests, add command line utilities
- add update-alternatives
* Thu Jul 11 2013 dmueller@suse.com
- update to 1.1:
  * various python 3.x fixes
* Mon Apr 29 2013 dmueller@suse.com
- update to 1.0
  * first stable release, some bugfixes
* Fri Feb 22 2013 saschpe@suse.de
- Initial version
